package de.tudarmstadt.informatik.hostage.ui2.popup;

import android.content.Context;
import android.view.View;
import android.widget.TextView;

import de.tudarmstadt.informatik.hostage.R;

/**
 * Created by Julien on 13.02.14.
 */
public class SimplePopupTable extends AbstractPopup {

    private String title;

    public void setTitle(String title){
        this.title = title;
        if (this.getPopupView() != null) this.configureView(this.getPopupView());
    }
    public String getTitle(){
        return this.title;
    }

    public SimplePopupTable(Context context, OnPopupItemClickListener listener){
        super(context, listener);
    }

    public int getLayoutId(){
        return R.layout.simple_popup_table;
    }

    void configureView(View view){
        TextView titleView = (TextView) view.findViewById(R.id.title_text_view);
        titleView.setText(this.title);
    }
}
